

' VBA7 64bit declare statements for NAG Fortran Library DLL Mark 30.0
' Copyright 2024, Numerical Algorithms Group Ltd, Oxford, UK.
' chapter m01

   Declare Ptrsafe Sub M01CAF Lib "NLW6I30DE_nag.dll" ( _
    ByRef rv As double, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByVal order As string, _
    ByRef ifail As long, _
    ByVal ORDERLength As LongLong _
    )


   Declare Ptrsafe Sub M01CBF Lib "NLW6I30DE_nag.dll" ( _
    ByRef iv As long, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByVal order As string, _
    ByRef ifail As long, _
    ByVal ORDERLength As LongLong _
    )


   Declare Ptrsafe Sub M01CCF Lib "NLW6I30DE_nag.dll" ( _
    ByVal ch As string, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByRef l1 As long, _
    ByRef l2 As long, _
    ByVal order As string, _
    ByRef ifail As long, _
    ByVal CHLength As LongLong, ByVal ORDERLength As LongLong _
    )


   Declare Ptrsafe Sub M01DAF Lib "NLW6I30DE_nag.dll" ( _
    ByRef rv As double, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByVal order As string, _
    ByRef irank As long, _
    ByRef ifail As long, _
    ByVal ORDERLength As LongLong _
    )


   Declare Ptrsafe Sub M01DBF Lib "NLW6I30DE_nag.dll" ( _
    ByRef iv As long, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByVal order As string, _
    ByRef irank As long, _
    ByRef ifail As long, _
    ByVal ORDERLength As LongLong _
    )


   Declare Ptrsafe Sub M01DCF Lib "NLW6I30DE_nag.dll" ( _
    ByVal ch As string, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByRef l1 As long, _
    ByRef l2 As long, _
    ByVal order As string, _
    ByRef irank As long, _
    ByRef ifail As long, _
    ByVal CHLength As LongLong, ByVal ORDERLength As LongLong _
    )


   Declare Ptrsafe Sub M01DEF Lib "NLW6I30DE_nag.dll" ( _
    ByRef rm As double, _
    ByRef ldm As long, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByRef n1 As long, _
    ByRef n2 As long, _
    ByVal order As string, _
    ByRef irank As long, _
    ByRef ifail As long, _
    ByVal ORDERLength As LongLong _
    )


   Declare Ptrsafe Sub M01DFF Lib "NLW6I30DE_nag.dll" ( _
    ByRef im As long, _
    ByRef ldm As long, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByRef n1 As long, _
    ByRef n2 As long, _
    ByVal order As string, _
    ByRef irank As long, _
    ByRef ifail As long, _
    ByVal ORDERLength As LongLong _
    )


   Declare Ptrsafe Sub M01DJF Lib "NLW6I30DE_nag.dll" ( _
    ByRef rm As double, _
    ByRef ldm As long, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByRef n1 As long, _
    ByRef n2 As long, _
    ByVal order As string, _
    ByRef irank As long, _
    ByRef ifail As long, _
    ByVal ORDERLength As LongLong _
    )


   Declare Ptrsafe Sub M01DKF Lib "NLW6I30DE_nag.dll" ( _
    ByRef im As long, _
    ByRef ldm As long, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByRef n1 As long, _
    ByRef n2 As long, _
    ByVal order As string, _
    ByRef irank As long, _
    ByRef ifail As long, _
    ByVal ORDERLength As LongLong _
    )


' skeleton code for callback function
'  Function M01DZF_COMPAR( _
'      ByRef i As long, _
'      ByRef j As long _
'    ) As long
'      ' your code here
'  End Function

   Declare Ptrsafe Sub M01DZF Lib "NLW6I30DE_nag.dll" ( _
    ByVal compar As longPtr, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByRef irank As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub M01EAF Lib "NLW6I30DE_nag.dll" ( _
    ByRef rv As double, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByRef irank As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub M01EBF Lib "NLW6I30DE_nag.dll" ( _
    ByRef iv As long, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByRef irank As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub M01ECF Lib "NLW6I30DE_nag.dll" ( _
    ByVal ch As string, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByRef irank As long, _
    ByRef ifail As long, _
    ByVal CHLength As LongLong _
    )


   Declare Ptrsafe Sub M01EDF Lib "NLW6I30DE_nag.dll" ( _
    ByRef cv As Complex, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByRef irank As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Function M01NAF Lib "NLW6I30DE_nag.dll" ( _
    ByRef valid As long, _
    ByRef rv As double, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByRef item As double, _
    ByRef ifail As long _
   ) As long


   Declare Ptrsafe Function M01NBF Lib "NLW6I30DE_nag.dll" ( _
    ByRef valid As long, _
    ByRef iv As long, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByRef item As long, _
    ByRef ifail As long _
   ) As long


   Declare Ptrsafe Function M01NCF Lib "NLW6I30DE_nag.dll" ( _
    ByRef valid As long, _
    ByVal ch As string, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByVal item As string, _
    ByRef ifail As long, _
    ByVal CHLength As LongLong, ByVal ITEMLength As LongLong _
    ) As long


   Declare Ptrsafe Sub M01NDF Lib "NLW6I30DE_nag.dll" ( _
    ByRef valid As long, _
    ByRef mode As long, _
    ByRef rv As double, _
    ByRef n As long, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByRef item As double, _
    ByRef m As long, _
    ByRef idx As long, _
    ByRef h As double, _
    ByRef k As long, _
    ByRef lk As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub M01ZAF Lib "NLW6I30DE_nag.dll" ( _
    ByRef iperm As long, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub M01ZBF Lib "NLW6I30DE_nag.dll" ( _
    ByRef iperm As long, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub M01ZCF Lib "NLW6I30DE_nag.dll" ( _
    ByRef iperm As long, _
    ByRef m1 As long, _
    ByRef m2 As long, _
    ByRef icycl As long, _
    ByRef ifail As long _
   )


